org.apache.lucene.codecs.lucene80

## Enum Lucene80DocValuesFormat.Mode

- java.lang.Object
- - java.lang.Enum<Lucene80DocValuesFormat.Mode>
  - - org.apache.lucene.codecs.lucene80.Lucene80DocValuesFormat.Mode

- All Implemented Interfaces:
    Serializable, Comparable<Lucene80DocValuesFormat.Mode>
  Enclosing class:
    Lucene80DocValuesFormat

      public static enum Lucene80DocValuesFormat.Mode
      extends Enum<Lucene80DocValuesFormat.Mode>

  Configuration option for doc values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST_COMPRESSION` Trade retrieval speed for compression ratio.
    `BEST_SPEED` Trade compression ratio for retrieval speed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Lucene80DocValuesFormat.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Lucene80DocValuesFormat.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_SPEED

          public static final Lucene80DocValuesFormat.Mode BEST_SPEED

      Trade compression ratio for retrieval speed.

    - #### BEST_COMPRESSION

          public static final Lucene80DocValuesFormat.Mode BEST_COMPRESSION

      Trade retrieval speed for compression ratio.

  - ### Method Detail

    - #### values

          public static Lucene80DocValuesFormat.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Lucene80DocValuesFormat.Mode c : Lucene80DocValuesFormat.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Lucene80DocValuesFormat.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.